• Register
0 votes
84 views

Problem :

Facing following error related to class path
error:could not determine the class-path for interface com.android.builder.model.androidproject.
6 5 3
6,930 points

Please log in or register to answer this question.

1 Answer

0 votes

Solution :

Recently i have faced the same problem.

Change the classpath in build.gradle file to

classpath 'com.android.tools.build:gradle:2.3.0'

Now go to gradle-wrapper.properties, and change its distributionUrl

distributionUrl=http://services.gradle.org/distributions/gradle-3.3-all.zip

and lastly rebuild the project. 

It resolved my issue.

9 7 4
38,600 points

Related questions

0 votes
1 answer 97 views
97 views
Problem: I have recently started working on Android Project. I have managed to gain only basic knowledge related to Android Programming with the help of online tutorials. After trying to import my Eclipse project into the android Studio then I had ... (); public static SetContentView setContentView; public static Activity activity; public static Context context; public static boolean wait = true;
asked Jul 15, 2020 Raphael Pacheco 4.9k points
0 votes
1 answer 95 views
95 views
Problem : I have the Android Studio Beta. I have created the new project with compiling my old modules but when I tried launching my app it did not launch and it gave me the below message: Error:Execution failed for task ':app:transformDexArchiveWithExternalLibsDexMergerForDebug'. com ... merge dex But I am unable to know how to fix above error. I researched on this for hours but with no success.
asked Jan 31, 2020 jwilliam 3.9k points
0 votes
1 answer 41 views
41 views
Why i am seeing this error can someone give me some explanation "Could not reserve enough space for object heap"” and how to resolve this issue.
asked Sep 14, 2020 Daniel Anderson 4k points
0 votes
1 answer 2K views
2K views
Problem : I am trying to develop the Android application using google map api v2 to show the Map in a Fragment. But when I run the application, I always faced the following error message appearing in my log every now and then. I ... .android.app C/GoogleCertificatesImpl: Fetched 154 Google release certificates 1921-2130/? V/GoogleSignatureVerifier: com.example.android.app signature not valid.
asked Dec 6, 2019 alecxe 7.5k points
1 vote
1 answer 364 views
364 views
Problem : After updating my android studio, I am facing below error. How can I fix this error?? org.gradle.execution.MultipleBuildFailures: Build completed with 1 failures. at org.gradle ... .execute(SessionFailureReportingActionExecuter.java:63) at org.gradle.tooling.internal.provider.SessionFailureReportingActionExecuter.execute(SessionFailureReportingActionExecuter.java:53)
asked Dec 11, 2019 alecxe 7.5k points
0 votes
0 answers 71 views
71 views
Problem: Whenever I try to compile my android project in the eclipse 3.4.2 then I am facing below error The project cannot be built until the build path errors are resolved. I found a very temporary solution from online material. The solution is to force the ... the project) Then the error(s) will go away Kindly remove the dummy library Is there any permanent fix for my above android issue?
asked Jun 22, 2020 Raphael Pacheco 4.9k points
0 votes
1 answer 5 views
5 views
Problem: could not resolve com.android.support:appcompat-v7:26.1.0.
asked 3 days ago Dan phillip 1.9k points
0 votes
1 answer 5 views
5 views
Problem: could not find com.android.tools.build:aapt2:3.2.1-4818971.
asked Feb 16 charles mathews 3.8k points
0 votes
1 answer 105 views
105 views
Problem : I have updated my Android Studio to 3.0 but now facing the lot of issues.. So now stopped on the point with below issue: Could not resolve all files for configuration ':applib:_lintClassPath'. > Could not find com.android.tools.lint:lint-gradle:26.1.0-alpha01. ... project :applib I am currently using latest gradle version as: "gradle-4.2.1-all.zip". Does anyone know what my issue can be?
asked Dec 17, 2019 alecxe 7.5k points
0 votes
1 answer 1.5K views
1.5K views
Problem : When I run the apache tomcat7.0.56 in Eclipse, I get below error Error: Could not find or load main class org.apache.catalina.startup.Bootstrap How can I fix the above problem?
asked Jan 18, 2020 jwilliam 3.9k points